summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2021-01-16 22:19:49 +0000
committerJames Le Cuirot <chewi@gentoo.org>2021-01-16 22:20:48 +0000
commit5a03ce05b6f9199a8efcd3b7e15680769e54bde2 (patch)
treee945a6a53ed73ff90862629bf50c572c277ddd8f /app-misc/rbutil/rbutil-1.4.1.ebuild
parentapp-misc/rbutil: Use full qt5_get_bindir() path when calling lrelease (diff)
downloadgentoo-5a03ce05b6f9199a8efcd3b7e15680769e54bde2.tar.gz
gentoo-5a03ce05b6f9199a8efcd3b7e15680769e54bde2.tar.bz2
gentoo-5a03ce05b6f9199a8efcd3b7e15680769e54bde2.zip
app-misc/rbutil: Fix building with -fno-common or GCC 10
Closes: https://bugs.gentoo.org/731288 Package-Manager: Portage-3.0.12, Repoman-3.0.1 Signed-off-by: James Le Cuirot <chewi@gentoo.org>
Diffstat (limited to 'app-misc/rbutil/rbutil-1.4.1.ebuild')
-rw-r--r--app-misc/rbutil/rbutil-1.4.1.ebuild14
1 files changed, 12 insertions, 2 deletions
diff --git a/app-misc/rbutil/rbutil-1.4.1.ebuild b/app-misc/rbutil/rbutil-1.4.1.ebuild
index 3ba0000d120..f558a5e9dd9 100644
--- a/app-misc/rbutil/rbutil-1.4.1.ebuild
+++ b/app-misc/rbutil/rbutil-1.4.1.ebuild
@@ -28,18 +28,22 @@ RDEPEND="
DEPEND="${RDEPEND}"
BDEPEND="dev-qt/linguist-tools:5"
-S="${WORKDIR}/RockboxUtility-v${PV}/${PN}/${PN}qt"
+S="${WORKDIR}/RockboxUtility-v${PV}"
+QTDIR="${PN}/${PN}qt"
PATCHES=(
"${FILESDIR}"/${PN}-1.4.1-quazip.patch
+ "${FILESDIR}"/0001-imxtools-sbtools-fix-compilation-with-gcc-10.patch
)
src_prepare() {
xdg_src_prepare
- rm -rv quazip/ zlib/ || die
+ rm -rv "${QTDIR}"/{quazip,zlib}/ || die
}
src_configure() {
+ cd "${QTDIR}" || die
+
# Generate binary translations.
"$(qt5_get_bindir)"/lrelease ${PN}qt.pro || die
@@ -47,7 +51,13 @@ src_configure() {
eqmake5 CONFIG+="noccache $(use debug && echo dbg)"
}
+src_compile() {
+ emake -C "${QTDIR}"
+}
+
src_install() {
+ cd "${QTDIR}" || die
+
local icon size
for icon in icons/rockbox-*.png; do
size=${icon##*-}